Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp
Class XMPSchemaPDF

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.XMPSchemaPDF

public class XMPSchemaPDF
extends XMPSchema

Define XMP properties used with Adobe PDF documents.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaPDF(org.w3c.dom.Element element, java.lang.String prefix)` Constructor from existing XML element.
`XMPSchemaPDF(XMPMetadata parent)` Construct a new blank PDF schema.

Method Summary
`java.lang.String` | `getKeywords()` Get the PDF keywords.
`java.lang.String` | `getPDFVersion()` Get the PDF version.
`java.lang.String` | `getProducer()` Get the value of the producer property.
`void` | `setKeywords(java.lang.String keywords)` PDF Keywords.
`void` | `setPDFVersion(java.lang.String pdfVersion)` Set the PDF file version. 1.2,1.3,...
`void` | `setProducer(java.lang.String producer)` Set the PDF producer.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaPDF

    public XMPSchemaPDF(XMPMetadata parent)

  Construct a new blank PDF schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaPDF

    public XMPSchemaPDF(org.w3c.dom.Element element,
                        java.lang.String prefix)

  Constructor from existing XML element.

Parameters:
  `element` - The existing element.
  `prefix` - The schema prefix.

Method Detail

### setKeywords

    public void setKeywords(java.lang.String keywords)

  PDF Keywords.

  Parameters:
    `keywords` - The PDF keywords.

### getKeywords

    public java.lang.String getKeywords()

  Get the PDF keywords.

  Returns:
    The PDF keywords.

### setPDFVersion

    public void setPDFVersion(java.lang.String pdfVersion)

  Set the PDF file version. 1.2,1.3,...

  Parameters:
    `pdfVersion` - The version of the PDF file format.

### getPDFVersion

    public java.lang.String getPDFVersion()

  Get the PDF version.

  Returns:
    The value of the PDF version property.

### setProducer

    public void setProducer(java.lang.String producer)

  Set the PDF producer.

  Parameters:
    `producer` - The tool that created the PDF.

### getProducer

    public java.lang.String getProducer()

  Get the value of the producer property.

  Returns:
    The producer property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD